# New ports collection makefile for:	ucl
# Date created:				29 January 2001
# Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
#
# $FreeBSD: ports/archivers/ucl/Makefile,v 1.6 2003/03/07 05:55:12 ade Exp $
#

PORTNAME=	ucl
PORTVERSION=	1.01
CATEGORIES=	archivers devel
MASTER_SITES=	http://www.oberhumer.com/opensource/ucl/download/

MAINTAINER=	sobomax@FreeBSD.org
COMMENT=	A data compression library with low memory usage during decompression

INSTALLS_SHLIB=	yes
USE_LIBTOOL=	yes
CONFIGURE_ARGS=	--enable-shared

post-install:
	${INSTALL_PROGRAM} ${WRKSRC}/examples/.libs/uclpack \
		${PREFIX}/bin/uclpack
.if !defined(NOPORTDOCS)
	@${MKDIR} ${PREFIX}/share/doc/${PORTNAME}
.for file in COPYING README
	${INSTALL_DATA}	${WRKSRC}/${file} ${PREFIX}/share/doc/${PORTNAME}
.endfor
.endif

.include <bsd.port.mk>
